# ============================================
# Authors:     MG
# Maintainers: MG
# Copyright:   2023, HRDAG, GPL v2 or later
# ============================================

#' Datos que documentan las estratificaciones necesarias para replicar
#' los resultados del informe metodológico del proyecto conjunto CEV-HRDAG-JEP
#' (versión en español).
#'
#' @docType data
#'
#' @usage data(estratificacion)
#' @format Un data frame con 31 filas y 4 variables.
#' \describe{
#'   \item{violacion}{el hecho de violencia al analizar}
#'   \item{estimacion}{el tipo de análisis que utiliza la estratificación (p.ej., patrones de violencia por año, sexo, etc.)}
#'   \item{estratificacion}{las variables utilizadas para estratificar las estimaciones}
#'   \item{notas}{notas adicionales sobre la estratificación; NA si no hay notas}
#' }
#'
#' @source Proyecto conjunto JEP-CEV-HRDAG.
#'
"estratificacion"

# done.