# ============================================
# Authors:     MG
# Maintainers: MG
# Copyright:   2023, HRDAG, GPL v2 or later
# ============================================

#' Data documenting the stratifications used to replicate the results
#' of the methodological report of the joint JEP-CEV-HRDAG project 
#' (version in English).
#'
#' @docType data
#'
#' @usage  data(stratification)
#' @format A data frame with 31 rows and 4 variables.
#' \describe{
#'   \item{violation}{the human rights violation being analyzed}
#'   \item{estimation}{the type of analysis the stratification was used for (e.g., patterns of violence by year, sex, etc.)}
#'   \item{stratification}{the variables used to stratify the estimates}
#'   \item{notes}{additional notes about the stratification; NA if no notes}
#' }
#'
#' @source Joint JEP-CEV-HRDAG project.
#'
"stratification"

# done.
